> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate transfer update

> Validates configuration before updating an existing Hub transfer.

**Returns:** List of validation errors (empty if valid).

**Important Notes:**
- Use this endpoint before updating a transfer to check configuration validity
- Returns field-level validation errors


## OpenAPI

````json POST /teams/{team_id}/transfers/{transfer_id}/validations
{
  "openapi": "3.0.3",
  "info": {
    "title": "Management API Reference",
    "version": "2.0.0",
    "description": "API Documentation for the Supermetrics Management API. For more information, visit https://supermetrics.com.",
    "termsOfService": "https://supermetrics.com/terms-of-service",
    "contact": {
      "name": "Supermetrics Suppot",
      "email": "support@supermetrics.com",
      "url": "https://supermetrics.com/support"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "x-api-id": "sm-management-api",
    "x-audience": "public"
  },
  "servers": [
    {
      "url": "https://api.supermetrics.com/v2",
      "description": "Global production public Supermetrics Management API base path.",
      "x-internal": "false"
    }
  ],
  "tags": [
    {
      "name": "API Keys",
      "description": "Manage API keys to access Supermetrics API"
    },
    {
      "name": "Data Source Logins",
      "description": "Access your data source authentications"
    },
    {
      "name": "Data Source Login Links",
      "description": "Create single-use data source login links"
    },
    {
      "name": "Saved Queries",
      "description": "Manage queries saved in Query Manager"
    },
    {
      "name": "Table Groups",
      "description": "Manage your team's table groups"
    },
    {
      "name": "Team Lists",
      "description": "Manage centralized team lists for your queries"
    },
    {
      "name": "Team Settings",
      "description": "Configure general settings for your team"
    },
    {
      "name": "Data Transfers",
      "description": "Create, configure, and manage Data Warehouse transfers"
    },
    {
      "name": "Transfer Runs",
      "description": "Monitor execution history of Data Warehouse transfers"
    },
    {
      "name": "Data Backfills",
      "description": "Manage historical data backfills for your Data Warehouse transfers"
    },
    {
      "name": "Data Destinations",
      "description": "Create, configure, and manage Data Warehouse destinations"
    },
    {
      "name": "Data Source Connections",
      "description": "Create and manage data source connections for Data Warehouse transfers"
    },
    {
      "name": "Data Blending",
      "description": "Create and manage Data Blending"
    },
    {
      "name": "Custom Fields",
      "description": "Create and manage Custom Fields"
    }
  ],
  "externalDocs": {
    "description": "Find out more about Supermetrics Management API",
    "url": "https://docs.supermetrics.com/apidocs/management-api"
  },
  "paths": {
    "/teams/{team_id}/transfers/{transfer_id}/validations": {
      "servers": [
        {
          "url": "https://dts-api.supermetrics.com/v1",
          "description": "Data Transfers API"
        }
      ],
      "post": {
        "summary": "Validate transfer update",
        "description": "Validates configuration before updating an existing Hub transfer.\n\n**Returns:** List of validation errors (empty if valid).\n\n**Important Notes:**\n- Use this endpoint before updating a transfer to check configuration validity\n- Returns field-level validation errors\n",
        "operationId": "validateTransferUpdate",
        "tags": [
          "Data Transfers"
        ],
        "security": [
          {
            "BearerAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/DwhTeamIdPathParam"
          },
          {
            "$ref": "#/components/parameters/DwhTransferIdPathParam"
          }
        ],
        "requestBody": {
          "required": "true",
          "description": "Transfer configuration to validate",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TransferConfigurationRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Validation completed",
            "headers": {
              "Access-Control-Allow-Origin": {
                "$ref": "#/components/headers/Access-Control-Allow-Origin"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationErrorsResponse"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/DwhUnauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/DwhTransferNotFound"
          },
          "429": {
            "$ref": "#/components/responses/DwhTooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/DwhInternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "DwhTeamIdPathParam": {
        "name": "team_id",
        "in": "path",
        "required": "true",
        "description": "Unique identifier of the team",
        "example": "12345",
        "schema": {
          "type": "integer",
          "format": "int64",
          "minimum": "1",
          "maximum": "9223372036854776000"
        }
      },
      "DwhTransferIdPathParam": {
        "name": "transfer_id",
        "in": "path",
        "required": "true",
        "description": "Unique identifier of the transfer",
        "example": "456789",
        "schema": {
          "type": "integer",
          "format": "int64",
          "minimum": "1",
          "maximum": "9223372036854776000"
        }
      }
    },
    "schemas": {
      "TransferConfigurationRequest": {
        "type": "object",
        "required": [
          "data_source_id",
          "schema_id",
          "destination_id",
          "display_name",
          "schedule",
          "accounts"
        ],
        "properties": {
          "data_source_id": {
            "type": "string",
            "maxLength": "50",
            "description": "Data source identifier",
            "example": "AW"
          },
          "schema_id": {
            "type": "integer",
            "format": "int32",
            "description": "Schema identifier for the transfer",
            "example": "2"
          },
          "destination_id": {
            "type": "integer",
            "format": "int32",
            "description": "Destination identifier",
            "example": "8"
          },
          "display_name": {
            "type": "string",
            "maxLength": "255",
            "description": "Human-readable name for the transfer",
            "example": "AW enhanced 2022-11-17"
          },
          "schedule": {
            "type": "array",
            "description": "Transfer execution schedule configuration",
            "items": {
              "$ref": "#/components/schemas/TransferSchedule"
            }
          },
          "accounts": {
            "type": "array",
            "description": "Data source accounts to include in transfer",
            "items": {
              "$ref": "#/components/schemas/TransferAccount"
            }
          },
          "segments": {
            "type": "array",
            "description": "Data segments to include in transfer",
            "items": {
              "$ref": "#/components/schemas/TransferSegment"
            }
          },
          "data_source_settings": {
            "type": "array",
            "description": "Source-specific configuration settings",
            "items": {
              "$ref": "#/components/schemas/TransferDataSourceSetting"
            }
          },
          "notification_recipients": {
            "type": "array",
            "description": "Email addresses to notify on transfer events",
            "items": {
              "type": "string",
              "format": "email",
              "maxLength": "255"
            },
            "example": [
              "user1@supermetrics.com",
              "user2@supermetrics.com"
            ]
          },
          "transfer_type": {
            "type": "integer",
            "format": "int32",
            "description": "Transfer type identifier",
            "example": "1"
          }
        },
        "additionalProperties": "false"
      },
      "ValidationErrorsResponse": {
        "type": "object",
        "description": "Response from validating a transfer configuration",
        "properties": {
          "is_valid": {
            "type": "boolean",
            "description": "Whether the configuration is valid",
            "example": "true"
          },
          "errors": {
            "type": "array",
            "description": "List of validation errors (empty if valid)",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "TransferSchedule": {
        "type": "object",
        "properties": {
          "run_interval": {
            "type": "string",
            "enum": [
              "hourly",
              "daily",
              "weekly",
              "monthly"
            ],
            "description": "Frequency of transfer execution"
          },
          "run_hour": {
            "type": "integer",
            "format": "int32",
            "minimum": "0",
            "maximum": "23",
            "description": "Hour of day to run (UTC)"
          },
          "refresh_window": {
            "type": "integer",
            "format": "int32",
            "minimum": "1",
            "description": "Number of days to refresh"
          },
          "run_weekday": {
            "type": "integer",
            "format": "int32",
            "minimum": "1",
            "maximum": "7",
            "description": "Day of week to run (1=Monday, 7=Sunday). Required for weekly interval."
          },
          "run_day": {
            "type": "integer",
            "format": "int32",
            "minimum": "1",
            "maximum": "31",
            "description": "Day of month to run. Required for monthly interval."
          }
        },
        "example": {
          "run_interval": "daily",
          "run_hour": "22",
          "refresh_window": "1"
        }
      },
      "TransferAccount": {
        "type": "object",
        "properties": {
          "data_source_username": {
            "type": "string",
            "maxLength": "255",
            "description": "Username for data source authentication"
          },
          "login_id": {
            "type": "integer",
            "format": "int32",
            "description": "Login identifier"
          },
          "account_id": {
            "type": "string",
            "maxLength": "100",
            "description": "Account identifier in the data source"
          }
        },
        "example": {
          "data_source_username": "user.name@supermetrics.com",
          "login_id": "2682599",
          "account_id": "8733197711"
        }
      },
      "TransferSegment": {
        "type": "object",
        "properties": {
          "data_source_username": {
            "type": "string",
            "maxLength": "255",
            "description": "Username for data source authentication"
          },
          "login_id": {
            "type": "integer",
            "format": "int32",
            "description": "Login identifier"
          },
          "segment_id": {
            "type": "string",
            "maxLength": "100",
            "description": "Segment identifier"
          },
          "segment_name": {
            "type": "string",
            "maxLength": "255",
            "description": "Human-readable segment name"
          }
        },
        "example": {
          "data_source_username": "user.name@supermetrics.com",
          "login_id": "2830506",
          "segment_id": "-1",
          "segment_name": "All users"
        }
      },
      "TransferDataSourceSetting": {
        "type": "object",
        "properties": {
          "field_id": {
            "type": "string",
            "maxLength": "100",
            "description": "Setting field identifier"
          },
          "value": {
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "boolean"
              },
              {
                "type": "integer"
              }
            ],
            "description": "Setting value (type varies by field)"
          },
          "group": {
            "type": "string",
            "maxLength": "100",
            "description": "Setting group identifier"
          }
        },
        "example": {
          "field_id": "BRAND_KEYWORDS",
          "value": "",
          "group": "Default"
        }
      },
      "ValidationError": {
        "type": "object",
        "description": "A single field validation error",
        "properties": {
          "field_id": {
            "type": "string",
            "description": "The field that failed validation",
            "example": "display_name"
          },
          "error_code": {
            "type": "string",
            "description": "The validation error code",
            "example": "isEmpty"
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "meta": {
            "$ref": "#/components/schemas/ResponseMeta"
          },
          "error": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "ResponseMeta": {
        "type": "object",
        "properties": {
          "request_id": {
            "type": "string",
            "maxLength": "50",
            "pattern": "^[A-Za-z0-9_-]+$",
            "description": "API request ID"
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "maxLength": "100",
            "description": "Error code"
          },
          "message": {
            "type": "string",
            "maxLength": "255",
            "description": "Error message"
          },
          "description": {
            "type": "string",
            "maxLength": "255",
            "description": "Error description"
          }
        }
      }
    },
    "headers": {
      "Access-Control-Allow-Origin": {
        "description": "CORS header",
        "schema": {
          "type": "string",
          "maxLength": "255",
          "enum": [
            "*"
          ],
          "example": "*"
        }
      }
    },
    "responses": {
      "DwhUnauthorized": {
        "description": "Unauthorized - Authentication is required and has failed or has not been provided.",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "019461A0-0000-7000-8000-000000000000"
              },
              "error": {
                "code": "API_KEY_INVALID",
                "message": "Invalid API key",
                "description": "Provided API key was invalid."
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden - The request is understood, but access is not allowed",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "01892A4D-7586-7000-8000-000000000000"
              },
              "error": {
                "code": "ACCESS_DENIED",
                "message": "Access Denied",
                "description": "You do not have permission to perform this operation."
              }
            }
          }
        }
      },
      "DwhTransferNotFound": {
        "description": "Transfer not found",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "01892A4D-7586-7000-8000-000000000000"
              },
              "error": {
                "code": "NOT_FOUND",
                "message": "Not Found",
                "description": "The requested transfer could not be found or you do not have access to it."
              }
            }
          }
        }
      },
      "DwhTooManyRequests": {
        "description": "Too Many Requests - Rate limit exceeded.",
        "headers": {
          "Retry-After": {
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": "1",
              "maximum": "3600"
            },
            "description": "Number of seconds to wait before making another request"
          },
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "019461A0-0000-7000-8000-000000000000"
              },
              "error": {
                "code": "API_ROW_QUOTA_EXCEEDED",
                "message": "Row quota exceeded",
                "description": "You have exceeded your row-quota limit of rows for this month. Please log into Supermetrics Hub at https://hub.supermetrics.com/ and upgrade your plan, or contact our Supermetrics support team."
              }
            }
          }
        }
      },
      "DwhInternalServerError": {
        "description": "Internal Server Error - An error occurred on the server.",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "01892A4D-7586-7000-8000-000000000000"
              },
              "error": {
                "code": "INTERNAL_SERVER_ERROR",
                "message": "Internal Server Error",
                "description": "An unexpected error occurred. Please try again later or contact support."
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token authentication. Include the token in the Authorization header:\n`Authorization: Bearer <your-token>`\n"
      }
    }
  }
}
````

